<?php
$is_active_1 = is_active_sidebar('footer-1');
$is_active_2 = is_active_sidebar('footer-2');
$is_active_3 = is_active_sidebar('footer-3');

$has_footer_nav = has_nav_menu('footer');
$footer_body_class = $has_footer_nav ? 'footer-body footer-body--has-nav' : 'footer-body';
?>
<footer class="footer" id="footer">
    <?php if ($is_active_1 || $is_active_2 || $is_active_3) : ?>
        <div class="footer-wrap content">
            <div class="footer-widget">
                <div class="footer-1">
                    <?php if ($is_active_1) : ?>
                        <?php dynamic_sidebar('footer-1'); ?>
                    <?php endif; ?>
                </div>
                <div class="footer-2">
                    <?php if ($is_active_2) : ?>
                        <?php dynamic_sidebar('footer-2'); ?>
                    <?php endif; ?>
                </div>
                <div class="footer-3">
                    <?php if ($is_active_3) : ?>
                        <?php dynamic_sidebar('footer-3'); ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <div class="<?php echo $footer_body_class; ?>">
        <div class="footer-body__inner">
            <?php if (has_nav_menu('footer')) : ?>
                <div class="footer-nav">
                    <?php
                    wp_nav_menu(array(
                        'theme_location' => 'footer',
                        'menu_class'     => 'footer-nav__list',
                        'container'      => 'nav',
                        'container_class' => 'footer-nav__nav',
                        'depth'          => 1,
                    ));
                    ?>
                </div>
            <?php endif; ?>
            <div class="footer-info">
                <?php get_template_part('includes/footer/copyright'); ?>
            </div>

        </div>
    </div>

</footer>
<?php if ( get_option('nmd_lazyload_web_font', false ) && ! get_option('nmd_disable_web_font', false) ) : ?>
    <?php get_template_part('includes/footer/lazyload-font'); ?>
<?php endif; ?>
<?php wp_footer(); ?>
<?php echo get_option('nmd_add_element_footer', ''); ?>
</body>

</html>