<?php

if (!defined('ABSPATH')) {
	exit;
}

/**
 * 初期設定
 */
require_once('settings/constants.php');
require_once('settings/init.php');

/**
 * 関数
 */
require_once('lib/func-editor.php');
require_once('lib/func-text.php');
require_once('lib/func-excerpt.php');
require_once('lib/func-image.php');
require_once('lib/func-option.php');
require_once('lib/func-classname.php');
require_once('lib/func-access-counter.php');
require_once('lib/func-ads.php');

/**
 * 各種設定
 */
require_once('settings/enqueue.php');
require_once('settings/widgets.php');
require_once('settings/customizer.php');
require_once('settings/menu.php');
require_once('settings/user.php');
require_once('settings/editor.php');
require_once('settings/edit-category.php');
require_once('settings/toc.php');
require_once('settings/filters.php');
require_once('settings/shortcode.php');

/**
 * テーマの更新
 */

$key = get_option( 'nmd_set_theme_key', '' );
$is_registered = get_option( 'nmd_registered_key', false );

$update = false;

if ( $is_registered ) $update = true;

/**
 * 認証が済んでいない場合の処理
 */
if ( ! empty( $key ) && ! $is_registered && is_admin() ) {

	$url = 'https://wp.nomad.inc/api/?key=' . $key;

	$response = @wp_remote_get($url);

	if( is_wp_error( $response ) ) return;

	if( $response["response"]["code"] !== 200 ) return;
	
	$json = $response["body"];
	$data = json_decode( $json,true );

	if( $data["status"] ) {

		add_option('nmd_registered_key', 'registered');

		$update = true;

	} else {
		function nmd_show_admin_notices() {
			$html  = '<div class="error">';
			$html .= '  <p>【NOMD】テーマキーが間違っています。<a href="' . site_url() . '/wp-admin/customize.php">カスタマイズ</a>で設定し直してください。</p>';
			$html .= '</div>';

			echo $html;
		}
		add_action( 'admin_notices', 'nmd_show_admin_notices' );
	}
}

if ( empty( $key ) ) {
	function nmd_show_admin_notices() {
		$html  = '<div class="error">';
		$html .= '<p>【NOMD】<a href="' . site_url() . '/wp-admin/customize.php">カスタマイズ</a>でテーマキーをセットしてください。キーをセットしないと、機能が一部制限されます。</p>';
		$html .= '</div>';

		echo $html;
	}
	add_action( 'admin_notices', 'nmd_show_admin_notices' );
}

/**
 * updateチェックOK
 */
if ( $update ) {
	require 'update-checker/plugin-update-checker.php';

	try {
		$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
			'https://wp.nomad.inc/update-file/nomad-theme.json',
			__FILE__,
			'nomadtheme' // テーマ名
		);
	} catch (Exception $e) {
		
	}
}