<?php

$category_id_list = get_option('nmd_category_latest_ids', false);

if (empty($category_id_list)) return;

$categories = nmd_comma_separated_to_array($category_id_list);

$column = get_option('nmd_toppage_column', 'multi');
$settings = nmd_get_entries_settings($column);
$entries_class = $settings['class'];
$str_num_pc = $settings['str_num_pc'];
$str_num_sp = $settings['str_num_sp'];

$is_first_tab = true;
$is_first = true;
?>
<div class="category-latest">
	<div class="select-category">
		<?php foreach ($categories as $id) : ?>
			<?php if (empty($id)) continue; ?>
			<?php $cat = get_category($id); ?>
			<?php if ($cat) : ?>
				<div class="select-category__item<?php if ($is_first_tab) echo ' is-active'; ?>" data-cat="select-<?php echo $cat->slug; ?>">
					<?php echo $cat->name; ?>
				</div>
				<?php $is_first_tab = false; ?>
			<?php endif; ?>
		<?php endforeach; ?>
	</div>
	<?php foreach ($categories as $id) : ?>
		<?php
		if (empty($id)) continue;
		$args = array(
			'cat' => $id,
			'posts_per_page' => 4,
		);

		$the_query = new WP_Query($args);
		?>
		<?php if ($the_query->have_posts()) : ?>
			<div class="category-latest__entries">
				<?php $cat = get_category($id); ?>
				<div class="<?php echo $entries_class; ?> entry--category-latest<?php if ($is_first) echo ' is-active'; ?>" data-target="select-<?php echo $cat->slug; ?>">
					<?php $is_first = false; ?>
					<?php while ($the_query->have_posts()) : $the_query->the_post(); ?>
						<?php
						$permalink	= get_the_permalink();
						$title		= get_the_title();
						$mb_title	= nmd_mb_substr_text($title, 21);
						$thumb_url	= nmd_get_thumbnail_url($post->ID, 'medium_large');
						$cat_data	= get_the_category();
						$cat_name	= !empty($cat_data[0]) ? $cat_data[0]->name : '';
						$datetime	= get_the_date('Y.m.d');
						?>
						<a href="<?php echo $permalink; ?>" class="entry-wrap">
							<article class="entry-card">
								<figure class="entry-thumb">
									<img src="<?php echo $thumb_url; ?>" alt="<?php echo $title; ?>" />
								</figure>
								<div class="entry-body">
									<span class="entry-body__label">
										<?php echo $cat_name; ?>
									</span>
									<h2 class="entry-body__title">
										<?php echo nmd_mb_substr_text($title, $str_num_pc); ?>
									</h2>
									<h2 class="entry-body__title entry-body__title--sp">
										<?php echo nmd_mb_substr_text($title, $str_num_sp); ?>
									</h2>
									<span class="entry-body__date">
										<time datetime="<?php echo get_the_date('Y-m-d'); ?>">
											<?php echo $datetime; ?>
										</time>
									</span>
								</div>
							</article>
						</a>
					<?php endwhile; ?>
				</div>
				<?php wp_reset_postdata(); ?>
			</div>
		<?php endif; ?>

	<?php endforeach; ?>

</div>