<?php

if (!defined('ABSPATH')) {
	exit;
}
/**
 * 記事分割されている場合、next,prevの設定
 */
$next_href = false;
$prev_href = false;

if(!is_singular()) return;

// ページ数を取得
global $page;

if (isset($post->post_content)) {
	$pages = count(explode('<!--nextpage-->', $post->post_content));
} else {
	$pages = 0;
}

$permalink = get_permalink();

if (substr($permalink, -1) !== '/') {
	$separator = '/';
	$last_separetor = '';
} else {
	$separator =  '';
	$last_separetor = '/';
}

if ($pages > 1) {
	/**
	 * ページ分割されている場合
	 */

	if ($page == $pages) {
		/**
		 * 最後のページ
		 */
		if ($page == 2) {
			/**
			 * 最後のページが2ページ目だった場合
			 */
			$prev_href = $permalink;
		} else {

			$prev_href = $permalink . $separator . ($page - 1) . $last_separetor;
		}
	} elseif ($page === 0) {
		/**
		 * 最初のページ
		 */
		$next_href = $permalink . $separator . '2' . $last_separetor;
	} elseif ($page === 2) {
		/**
		 * 2ページ目
		 */
		$next_href = $permalink . $separator . '3' . $last_separetor;
		$prev_href = $permalink;
	} else {
		/**
		 * 3ページ目以降（最後のページではない）
		 */
		$next_href = $permalink . $separator . ($page + 1) . $last_separetor;
		$prev_href = $permalink . $separator . ($page - 1) . $last_separetor;
	}
}
?>
<?php if ($prev_href) : ?>
	<link rel="prev" href="<?php echo $prev_href; ?>">
<?php endif; ?>
<?php if ($next_href) : ?>
	<link rel="next" href="<?php echo $next_href; ?>">
<?php endif; ?>