<?php

/**
 * アクセスカウンター
 * @param int $id 記事ID
 * @return void
 * @version 1.0.0
 */
if( ! function_exists( 'nmd_set_post_views' ) ) {
    function nmd_set_post_views( $id ){

        $count_key = 'nmd_post_views_count';
        $count = get_post_meta( $id, $count_key, true );
        if( ! is_numeric( $count ) ) {
            delete_post_meta( $id, $count_key );
            add_post_meta( $id, $count_key, '1' );
        } else {
            $count++;
            update_post_meta( $id, $count_key, $count );
        }
    }
}

/**
 * アクセスカウンター
 * @param int $id 記事ID
 * @return int|false
 * @version 1.0.0
 */
if( ! function_exists( 'nmd_get_post_views' ) ) {
    function nmd_get_post_views( $id = null ){

        if( $id === null ) {
            $id = get_the_ID();
            if( empty( $id ) ) return false;
        }

        $views = get_post_meta( $id, 'nmd_post_views_count', true );

        if ( empty( $views ) ) $views = '0';

        return number_format( $views );
    }
}

/**
 * クローラーのアクセス判別
 * @return bool
 * @version 1.0.0
 */
if( ! function_exists( 'nmd_is_bot' ) ) {
    function nmd_is_bot() {
        $ua = $_SERVER['HTTP_USER_AGENT'];
    
        $bot = array(
            "googlebot",
            "msnbot",
            "yahoo"
        );
        foreach( $bot as $bot ) {
            if (stripos( $ua, $bot ) !== false){
                return true;
            }
        }
        return false;
    }
}