<?php
/**
 * 投稿編集ページの関数
 */
if ( !defined( 'ABSPATH' ) ) {
	exit;
}
/**
 * カスタムフィールドの保存
 *
 * @param int $post_id 記事ID
 * @param string $post_key メタキー
 * @param string $length 最大文字数
 * @param bool $nonce nonce
 * @return void
 * @version 1.0.0
 */
if (!function_exists('nmd_save_custom_fields_value')) {
	function nmd_save_custom_fields_value($post_id, $post_key, $nonce)
	{
		if (!isset($_POST[$nonce]) || !$_POST[$nonce]) return;
		if (!check_admin_referer('wp-nonce-key', $nonce)) return;

		if (isset($_POST[$post_key]) && $_POST[$post_key] === '') {
			delete_post_meta($post_id, $post_key);
		} elseif (!empty($_POST[$post_key])) {
			$value = $_POST[$post_key];
			update_post_meta($post_id, $post_key, $value);
		} elseif (!isset($_POST[$post_key])) {
			delete_post_meta($post_id, $post_key);
		}
	}
}