<?php

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * ウィジェットの登録
 */
if (!function_exists('nmd_theme_widget_settings')) {
	function nmd_theme_widget_settings()
	{
		register_sidebar(array(
			'name' => 'サイドバー',
			'id' => 'sidebar',
			'description' => 'サイドバーに表示されます',
			'before_widget' => '<div id="%1$s" class="widget widget--sidebar %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="widget__title widget__title--sidebar"><span class="widget__title-inner">',
			'after_title'   => '</span></h2>',
		));

		register_sidebar(array(
			'name' => '記事上',
			'id' => 'entry-header',
			'description' => '記事下に表示されます',
			'before_widget' => '<div id="%1$s" class="widget widget--entry-header %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="widget__title widget__title--entry-header"><span class="widget__title-inner">',
			'after_title'   => '</span></h2>',
		));

		register_sidebar(array(
			'name' => '記事下（コメント上）',
			'id' => 'entry-footer',
			'description' => '記事下に表示されます（コメントの上）',
			'before_widget' => '<div id="%1$s" class="widget widget--entry-footer %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="widget__title widget__title--entry-footer"><span class="widget__title-inner">',
			'after_title'   => '</span></h2>',
		));

		register_sidebar(array(
			'name' => '記事下（コメント下）',
			'id' => 'entry-footer-bottom',
			'description' => '記事下に表示されます（コメントの下）',
			'before_widget' => '<div id="%1$s" class="widget widget--entry-footer-bottom %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="widget__title widget__title--entry-footer-bottom"><span class="widget__title-inner">',
			'after_title'   => '</span></h2>',
		));

		register_sidebar(array(
			'name' => 'フッター左',
			'id' => 'footer-1',
			'description' => 'フッター左に表示されます',
			'before_widget' => '<div id="%1$s" class="widget widget--footer-1 %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="widget__title widget__title--footer-1"><span class="widget__title-inner">',
			'after_title'   => '</span></h2>',
		));
		register_sidebar(array(
			'name' => 'フッター中央',
			'id' => 'footer-2',
			'description' => 'フッター左に表示されます',
			'before_widget' => '<div id="%1$s" class="widget widget--footer-2 %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="widget__title widget__title--footer-2"><span class="widget__title-inner">',
			'after_title'   => '</span></h2>',
		));
		register_sidebar(array(
			'name' => 'フッター右',
			'id' => 'footer-3',
			'description' => 'フッター左に表示されます',
			'before_widget' => '<div id="%1$s" class="widget widget--footer-3 %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="widget__title widget__title--footer-3"><span class="widget__title-inner">',
			'after_title'   => '</span></h2>',
		));
	}
	add_action('widgets_init', 'nmd_theme_widget_settings');
}

